package com.goafanti.order.bo;

import java.math.BigDecimal;

import com.goafanti.common.model.TOrderTask;
import com.goafanti.common.utils.excel.Excel;
import com.goafanti.order.enums.NewProjectStatus;

public class TOrderTaskBo extends TOrderTask{
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private String contactsMobile;
	@Excel(name = "合同编号",sort = 9)
	private String cname;
	private Integer cSort;
	
	@Excel(name = "合同编号",sort = 1)
	private String contractNo;
	@Excel(name = "订单负责人",sort = 4)
	private String salesmanName;
	@Excel(name = "项目负责人",sort = 7)
	private String contacts;
	@Excel(name = "订单部门",sort = 5)
	private String depName;
	@Excel(name = "客户名称",sort = 3)
	private String userName;
	@Excel(name = "订单状态",sort = 6,readConverterExp = "0=待签单，1=签单待审，2=签单审核通过，3=签单审核拒绝，4=已结项，5=已驳回，6=已退单")
	private Integer orderStatus;
	
	private Integer type;
	
	private BigDecimal price;
	
	private BigDecimal appropriationRatio;
	
	@Excel(name = "项目状态",sort = 13)
	private String projectStatusName;
	
	public String getProjectSatusName() {
		return projectStatusName;
	}
	
	public void setProjectStatus(Integer projectStatus) {
		super.setProjectStatus(projectStatus);
		this.projectStatusName=NewProjectStatus.getValueByCode(projectStatus);
	}
	
	
	public String getContractNo() {
		return contractNo;
	}
	public void setContractNo(String contractNo) {
		this.contractNo = contractNo;
	}
	public String getSalesmanName() {
		return salesmanName;
	}
	public void setSalesmanName(String salesmanName) {
		this.salesmanName = salesmanName;
	}
	public String getDepName() {
		return depName;
	}
	public void setDepName(String depName) {
		this.depName = depName;
	}
	public String getUserName() {
		return userName;
	}
	public void setUserName(String userName) {
		this.userName = userName;
	}
	public String getContacts() {
		return contacts;
	}
	public void setContacts(String contacts) {
		this.contacts = contacts;
	}
	public String getContactsMobile() {
		return contactsMobile;
	}
	public void setContactsMobile(String contactsMobile) {
		this.contactsMobile = contactsMobile;
	}
	public String getCname() {
		return cname;
	}
	public void setCname(String cname) {
		this.cname = cname;
	}
	public Integer getOrderStatus() {
		return orderStatus;
	}
	public void setOrderStatus(Integer orderStatus) {
		this.orderStatus = orderStatus;
	}
	public BigDecimal getPrice() {
		return price;
	}
	public void setPrice(BigDecimal price) {
		this.price = price;
	}
	public Integer getcSort() {
		return cSort;
	}
	public void setcSort(Integer cSort) {
		this.cSort = cSort;
	}
	public BigDecimal getAppropriationRatio() {
		return appropriationRatio;
	}
	public void setAppropriationRatio(BigDecimal appropriationRatio) {
		this.appropriationRatio = appropriationRatio;
	}
	public Integer getType() {
		return type;
	}
	public void setType(Integer type) {
		this.type = type;
	}
	
	
}
